/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef Fl_Find_h
#define Fl_Find_h

#include "Fl_Dialog.h"
#include <FL/Fl_Button.h>
#include <FL/Fl_Input.h>
#include <FL/Fl_Return_Button.h>



/**
*  A find word dialog box.
*/
class Fl_Find : public Fl_Dialog {
public:
                            Fl_Find ();

    void                    cb1() {aRetVal = 0;}
    void                    cb2() {aRetVal = 1;}
    void                    cb3() {aRetVal = 2;}
    const char*             text () {return aInput->value();}

private:
    Fl_Input*               aInput;
    Fl_Button*              aCancel;
    Fl_Button*              aCase;
    Fl_Button*              aFind;
};

#endif
